Bug 1301268 - Review Request: python-netdiff - Python library for parsing network topology data (eg: dynamic routing protocols, NetJSON, CNML) and detect changes
Review Request: python-netdiff - Python library for parsing network topology ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On: 1298180 1301260 1302770
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 05:33 EST by Germano Massullo
Modified: 2016-03-17 16:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 16:54:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fale: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2016-01-23 05:33:29 EST
Spec URL: https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff.spec

SRPM URL (GPG signed): https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff-0.4.7-1.fc23.src.rpm

SRPM URL (EsteID signed): https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff-0.4.7-1.fc23.src.bdoc

Description: Netdiff is a simple Python library that provides utilities for parsing network topology data of open source dynamic routing protocols and detecting changes in these topologies.

Fedora Account System Username: germano
GPG key id: A903090E
EsteID (DIGI-ID E-RESIDENT) serial number 38601270070
Comment 1 Upstream Release Monitoring 2016-01-25 18:44:05 EST
germano's scratch build of python-netdiff-0.4.7-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12682780
Comment 2 Germano Massullo 2016-01-25 18:47:18 EST
(In reply to Upstream Release Monitoring from comment #1)
> germano's scratch build of python-netdiff-0.4.7-1.fc23.src.rpm for f23
> failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12682780

obviously it fails due missing packages (see depends on)
Comment 3 Germano Massullo 2016-01-28 06:58:18 EST
Added missing test requirements[1]. I will submit the updated spec file tonight

[1]: https://github.com/ninuxorg/netdiff/blob/master/requirements-test.txt
Comment 4 Germano Massullo 2016-02-21 06:16:35 EST
After approval of "Review Request: python-coveralls" I updated the spec and SRPM  files
Spec URL: https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff.spec

SRPM URL (GPG signed): https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff-0.4.7-1.fc23.src.rpm
Comment 5 Germano Massullo 2016-02-26 09:30:58 EST
Removed coveralls from requirements, since upstream said that it is needed only for Travis builds, and it is completely useless here.

Spec URL: https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff.spec

SRPM URL (GPG signed): https://fedorapeople.org/~germano/package_reviews/python-netdiff/review_request/python-netdiff-0.4.7-1.fc23.src.rpm

Build accomplished at https://copr.fedorainfracloud.org/coprs/germano/python_django_1_9_2_F23_64bit/build/163334/
Comment 6 Fabio Alessandro Locati 2016-03-03 16:17:00 EST
Good work, Germano!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 23 files have
     unknown license. Detailed output of licensecheck in
     /home/fale/Downloads/python-netdiff/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-netdiff , python3-netdiff
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python2-netdiff-0.4.7-1.fc23.noarch.rpm
          python3-netdiff-0.4.7-1.fc23.noarch.rpm
          python-netdiff-0.4.7-1.fc23.src.rpm
python2-netdiff.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python3-netdiff.noarch: W: spelling-error %description -l en_US topologies -> typologies, topological
python-netdiff.src: W: spelling-error %description -l en_US topologies -> typologies, topological
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-netdiff (rpmlib, GLIBC filtered):
    python(abi)
    python3-libcnml
    python3-mock
    python3-networkx
    python3-requests
    python3-six

python2-netdiff (rpmlib, GLIBC filtered):
    python(abi)
    python-mock
    python-networkx
    python2-libcnml
    python2-requests
    python2-six



Provides
--------
python3-netdiff:
    python3-netdiff

python2-netdiff:
    python-netdiff
    python2-netdiff



Source checksums
----------------
https://pypi.python.org/packages/source/n/netdiff/netdiff-0.4.7.tar.gz :
  CHECKSUM(SHA256) this package     : 44755bdddd19908ba3473a39109014147961a37950dd404728cf9422b5f33c22
  CHECKSUM(SHA256) upstream package : 44755bdddd19908ba3473a39109014147961a37950dd404728cf9422b5f33c22


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rn python-netdiff-0.4.7-1.fc23.src.rpm
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Gwyn Ciesla 2016-03-04 07:24:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-netdiff
Comment 8 Fedora Update System 2016-03-06 02:51:34 EST
python-netdiff-0.4.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d09ae7c5e
Comment 9 Fedora Update System 2016-03-06 19:26:37 EST
python-netdiff-0.4.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d09ae7c5e
Comment 10 Fedora Update System 2016-03-17 16:54:10 EDT
python-netdiff-0.4.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.